import {Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards} from "@nestjs/common";
import {AdminAuthGuard} from "src/core/guards/admin-auth.guard";
import {Constants} from "src/utils/constants";
import {BenefitsAndAdvantageSectionCmsService} from "./benefits-and-advantage-section-cms.service";
import {BenefitsAndAdvantageSectionCmsDto} from "./dto/benefits-and-advantage-section-cms.dto";

@Controller({path: "benefits-and-advantage-section-cms", version: Constants.API_VERSION_1})

export class BenefitsAndAdvantageSectionCmsController {
    constructor(private readonly service: BenefitsAndAdvantageSectionCmsService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: BenefitsAndAdvantageSectionCmsDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
