import {Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards} from "@nestjs/common";
import {AdminAuthGuard} from "src/core/guards/admin-auth.guard";
import {Constants} from "src/utils/constants";
import {CustomerReviewsCmsService} from "./customer-reviews-cms.service";
import {UpdateCustomerReviewsCmsDto} from "./dto/update-customer-reviews-cms.dto";

@Controller({path: "customer-reviews-cms", version: Constants.API_VERSION_1})

export class CustomerReviewsCmsController {
    constructor(private readonly service: CustomerReviewsCmsService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateCustomerReviewsCmsDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
