import {Module} from '@nestjs/common';
import {TypeOrmModule} from '@nestjs/typeorm';
import {JwtModule} from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import {UsersRepository} from 'src/modules/users/user.repository';
import JwtHelper from 'src/core/jwt/jwt.helper';
import {DoSpacesService} from "../../SpacesModule/SpacesService/doSpacesService";
import {DoSpacesServicerovider} from "../../SpacesModule/SpacesService";
import {MarketYourBusinessSectionCmsRepository} from './market-your-business-section-cms.repository';
import {MarketYourBusinessSectionCmsController} from './market-your-business-section-cms.controller';
import {MarketYourBusinessSectionCmsService} from './market-your-business-section-cms.service';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([MarketYourBusinessSectionCmsRepository])
    ],
    controllers: [MarketYourBusinessSectionCmsController],
    providers: [MarketYourBusinessSectionCmsService, JwtHelper, DoSpacesServicerovider, DoSpacesService
    ]
})
export class MarketYourBusinessSectionCmsModule {
}
