import {EntityRepository, Repository} from "typeorm";
import {NewsletterCmsEntity} from "./entities/newsletter-cms.entity";
import {UpdateNewsletterCmsDto} from "./dto/update-newsletter-cms.dto";

@EntityRepository(NewsletterCmsEntity)
export class NewsletterCmsRepository extends Repository<NewsletterCmsEntity> {

    async createEntity(dto: UpdateNewsletterCmsDto): Promise<NewsletterCmsEntity | Error> {
        try {
            const entity = this.create({
                sectionTitle: dto.sectionTitle,
                sectionSubTitle: dto.sectionSubTitle,
                placeHolderText: dto.placeHolderText,
                buttonText: dto.buttonText
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateNewsletterCmsDto, id: string): Promise<NewsletterCmsEntity | Error> {
        try {
            await this.update(id, {
                sectionTitle: dto.sectionTitle,
                sectionSubTitle: dto.sectionSubTitle,
                placeHolderText: dto.placeHolderText,
                buttonText: dto.buttonText
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<NewsletterCmsEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}