import {EntityRepository, Repository} from "typeorm";
import {PartnerPageCmsEntity} from "./entities/partner-page-cms.entity";
import {UpdatePartnerPageCmsDto} from "./dto/update-partner-page-cms.dto";

@EntityRepository(PartnerPageCmsEntity)
export class PartnerPageCmsRepository extends Repository<PartnerPageCmsEntity> {

    async createEntity(dto: UpdatePartnerPageCmsDto): Promise<PartnerPageCmsEntity | Error> {
        try {
            const entity = this.create({
                pageTitle: dto.pageTitle,
                pageSubTitle: dto.pageSubTitle,
                sectionTwoTitle: dto.sectionTwoTitle
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdatePartnerPageCmsDto, id: string): Promise<PartnerPageCmsEntity | Error> {
        try {
            await this.update(id, {
                pageTitle: dto.pageTitle,
                pageSubTitle: dto.pageSubTitle,
                sectionTwoTitle: dto.sectionTwoTitle
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<PartnerPageCmsEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}