import {Module} from '@nestjs/common';
import {TypeOrmModule} from '@nestjs/typeorm';
import {PressAboutContentCmsRepository} from './press-about-content-cms.repository';
import {PressAboutContentCmsController} from './press-about-content-cms.controller';
import {PressAboutContentCmsService} from './press-about-content-cms.service';
import {JwtModule} from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import {UsersRepository} from 'src/modules/users/user.repository';
import JwtHelper from 'src/core/jwt/jwt.helper';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([PressAboutContentCmsRepository])
    ],
    controllers: [PressAboutContentCmsController],
    providers: [PressAboutContentCmsService, JwtHelper]
})
export class PressAboutContentCmsModule {
}
