import {EntityRepository, Repository} from "typeorm";
import {SignupCms} from "./entities/signup-cms.entity";
import {SignupCmsDto} from "./dto/signup-cms.dto";

@EntityRepository(SignupCms)
export class SignupCmsRepository extends Repository<SignupCms> {

    async createEntity(dto: SignupCmsDto): Promise<SignupCms | Error> {
        try {
            const entity = this.create({...dto});
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: SignupCmsDto, id: string): Promise<SignupCms | Error> {
        try {
            await this.update(id, {...dto});
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<SignupCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}