import {Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards} from "@nestjs/common";
import {AdminAuthGuard} from "src/core/guards/admin-auth.guard";
import {Constants} from "src/utils/constants";
import {SitePageMetaCmsService} from "./site-page-meta-cms.service";
import {UpdateSitePageMetaCmsDto} from "./dto/update-site-page-meta-cms.dto";

@Controller({path: "site-page-meta-cms", version: Constants.API_VERSION_1})

export class SitePageMetaCmsController {
    constructor(private readonly service: SitePageMetaCmsService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateSitePageMetaCmsDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
