import {Module} from "@nestjs/common";
import {JwtModule} from "@nestjs/jwt";
import {TypeOrmModule} from "@nestjs/typeorm";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import {UsersRepository} from "src/modules/users/user.repository";
import {DoSpacesService} from "src/modules/SpacesModule/SpacesService/doSpacesService";
import {DoSpacesServicerovider} from "src/modules/SpacesModule/SpacesService";
import {CareerLocationRepository} from "./career-location.repository";
import {CareerLocationController} from "./career-location.controller";
import {CareerLocationService} from "./career-location.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([CareerLocationRepository])
    ],
    controllers: [CareerLocationController],
    providers: [CareerLocationService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class CareerLocationModule {
}
