import {Module} from '@nestjs/common';
import {TypeOrmModule} from '@nestjs/typeorm';
import {ScheduleRoleRepository} from './schedule-role.repository';
import {ScheduleRoleController} from './schedule-role.controller';
import {ScheduleRoleService} from './schedule-role.service';
import {JwtModule} from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import {UsersRepository} from 'src/modules/users/user.repository';
import JwtHelper from 'src/core/jwt/jwt.helper';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([ScheduleRoleRepository])
    ],
    controllers: [ScheduleRoleController],
    providers: [ScheduleRoleService, JwtHelper]
})
export class ScheduleRoleModule {
}
