import { Module } from '@nestjs/common';
import { NotificationService } from './notification.service';
import { TypeOrmModule } from "@nestjs/typeorm";
import { NotificationRepository } from "./notification.repository";
import { NotificationController } from "./notification.controller";
import JwtHelper from "src/core/jwt/jwt.helper";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import { JwtModule } from "@nestjs/jwt";
import { UsersRepository } from "../users/user.repository";

@Module({
  controllers: [NotificationController],
  imports: [
    JwtModule.registerAsync({ useClass: JwtConfigService }),
    TypeOrmModule.forFeature([NotificationRepository, UsersRepository])
  ],
  providers: [NotificationService, JwtHelper]
})
export class NotificationModule {}
